org.gnome.gdk

## Class Gdk.Lock

- Object
- - org.gnome.gdk.Gdk.Lock

- Enclosing class:
    Gdk

      public static final class Gdk.Lock
      extends Object

  An inner class for the purely cosmetic purpose of giving an explicit name to the global GDK lock. By using this, we end up having

       "waiting on ..., a Gdk$Lock"

  appear in thread dumps. Otherwise, it could just as well have been java.lang.Object. There is no reason to ever instantiate one of these yourself, so there's no public constructor. In fact, you probably can forget you ever read this.
  Author:
    Andrew Cowie

- - ### Method Summary

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`